## ros-one-boost-sml 0.1.2-6jammy.20251023.0052

=== debian/changelog ===
ros-one-boost-sml (0.1.2-6jammy.20251023.0052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 23 Oct 2025 00:52:08 +0000

ros-one-boost-sml (0.1.2-0jammy) jammy; urgency=high

  * Add GitHub actions (#7 <https://github.com/PickNikRobotics/boost_sml/issues/7>)
  * Fix Debian Buster build
  * Contributors: Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 20 Apr 2021 00:00:00 -0000

ros-one-boost-sml (0.1.1-0jammy) jammy; urgency=high

  * Add system component to boost cmake include
  * Add boost as dependency in package.xml
  * Contributors: Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Wed, 28 Oct 2020 00:00:00 -0000

ros-one-boost-sml (0.1.0-0jammy) jammy; urgency=high

  * [feature] Generate SML diagrams using boost.Graph (#4 <https://github.com/PickNikRobotics/boost_sml/issues/4>)
  * [feature] example source to enable catkin to build package that can be depended on (#2 <https://github.com/PickNikRobotics/boost_sml/issues/2>)
  * [fix] undefined reference error (#6 <https://github.com/PickNikRobotics/boost_sml/issues/6>)
    * Change static constexpr into const to avoid compiler errors when building in debug mode doesn't inline variables.
  * [fix] compilation errors when setting overriding CMAKE_CXX_STANDARD in catkin config. (#5 <https://github.com/PickNikRobotics/boost_sml/issues/5>)
  * [maint] move all headers into one directory (#3 <https://github.com/PickNikRobotics/boost_sml/issues/3>)
  * Contributors: JafarAbdi, Jere Liukkonen, Mark Moll, Tyler Weaver, picknik-jliukkonen

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

## ros-one-boost-sml 0.1.2-6jammy.20260220.2149

=== debian/changelog ===
ros-one-boost-sml (0.1.2-6jammy.20260220.2149) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tyler Weaver <tyler@picknik.ai>  Fri, 20 Feb 2026 21:49:26 +0000

## ros-one-boost-sml 0.1.2-6noble.20251023.0050

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(boost_sml)

# Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  roslint
)

# System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)

###################################
## Catkin specific configuration ##
###################################
catkin_package(
  LIBRARIES
    ${PROJECT_NAME}_example
  CATKIN_DEPENDS
    roscpp
  INCLUDE_DIRS
    include
  DEPENDS
    Boost
)

###########
## Build ##
###########

# Specify additional locations of header files
# Your package locations should be listed before other locations
include_directories(
  SYSTEM
    ${Boost_INCLUDE_DIR}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

# Example Library that uses boost_sml
add_library(
  ${PROJECT_NAME}_example
  src/example_library.cpp
)
target_link_libraries(
  ${PROJECT_NAME}_example
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

# Example graph executable
add_executable(sml_graph_demo
  src/sml_graph_demo.cpp
)
target_link_libraries(
  sml_graph_demo
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
)

#############
## Install ##
#############

# Install library
install(
  TARGETS
    ${PROJECT_NAME}_example
    sml_graph_demo
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(
  DIRECTORY
    include/${PROJECT_NAME}/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
endif()

## Test for correct C++ source code
roslint_cpp()

=== debian/changelog ===
ros-one-boost-sml (0.1.2-6noble.20251023.0050) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 23 Oct 2025 00:50:30 +0000

ros-one-boost-sml (0.1.2-0noble) noble; urgency=high

  * Add GitHub actions (#7 <https://github.com/PickNikRobotics/boost_sml/issues/7>)
  * Fix Debian Buster build
  * Contributors: Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 20 Apr 2021 00:00:00 -0000

ros-one-boost-sml (0.1.1-0noble) noble; urgency=high

  * Add system component to boost cmake include
  * Add boost as dependency in package.xml
  * Contributors: Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Wed, 28 Oct 2020 00:00:00 -0000

ros-one-boost-sml (0.1.0-0noble) noble; urgency=high

  * [feature] Generate SML diagrams using boost.Graph (#4 <https://github.com/PickNikRobotics/boost_sml/issues/4>)
  * [feature] example source to enable catkin to build package that can be depended on (#2 <https://github.com/PickNikRobotics/boost_sml/issues/2>)
  * [fix] undefined reference error (#6 <https://github.com/PickNikRobotics/boost_sml/issues/6>)
    * Change static constexpr into const to avoid compiler errors when building in debug mode doesn't inline variables.
  * [fix] compilation errors when setting overriding CMAKE_CXX_STANDARD in catkin config. (#5 <https://github.com/PickNikRobotics/boost_sml/issues/5>)
  * [maint] move all headers into one directory (#3 <https://github.com/PickNikRobotics/boost_sml/issues/3>)
  * Contributors: JafarAbdi, Jere Liukkonen, Mark Moll, Tyler Weaver, picknik-jliukkonen

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

=== debian/control ===
Source: ros-one-boost-sml
Section: misc
Priority: optional
Maintainer: Tyler Weaver <tyler@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-catkin, ros-one-roscpp, ros-one-roslint
Homepage: https://boost-experimental.github.io/sml/
Standards-Version: 3.9.2

Package: ros-one-boost-sml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-roscpp, ros-one-roslint
Description: State machine library with ros logging

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-boost-sml//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-boost-sml 0.1.2-6noble.20260220.2156

=== debian/changelog ===
ros-one-boost-sml (0.1.2-6noble.20260220.2156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tyler Weaver <tyler@picknik.ai>  Fri, 20 Feb 2026 21:56:57 +0000
